﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="WebTemplate._Default" %>

<%@ Register assembly="WebEdition" namespace="ThinkGeo.MapSuite.WebEdition" tagprefix="cc1" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Untitled Page</title>
    <script language="javascript" type="text/javascript">
        function ChangeBaseLayer(selector) {
            var map = Map1.GetOpenLayersMap();

            var selected = selector.value;
            var layer;
            switch (selected) {
                case "none":
                    layer = map.getLayer("BlankOverlay");
                    break;
                case "GoogleMap":
                    layer = map.getLayer("GoogleMap");
                    layer.type = G_NORMAL_MAP;
                    break;
                case "GoogleSatHybrid":
                    layer = map.getLayer("GoogleSatHybridMap");
                    layer.type = G_HYBRID_MAP;
                    break;
                case "GoogleTerrain":
                    layer = map.getLayer("GoogleTerrainMap");
                    layer.type = G_PHYSICAL_MAP;
                    break;
                case "BingMap":
                    layer = map.getLayer("BingMap");
                    layer.type = VEMapStyle.Road;
                    break;
                case "BingSat":
                    layer = map.getLayer("BingSatelliteMap");
                    layer.type = VEMapStyle.Hybrid;
                    break;
                case "BingTerrain":
                    layer = map.getLayer("BingTerrainMap");
                    layer.type = VEMapStyle.Shaded;
                    break;
                case "WorldMapKit":
                    layer = map.getLayer("WMKMap");
                    break;
                default:
                    break;
            }
            layer.redraw();
            map.setBaseLayer(layer);
        }
    </script>
    </head>
<body>
    <form id="form1" runat="server">
    <div>
    <div>
            Server Background: 
        <asp:DropDownList ID="BackgroundOptions" runat="server"
            onselectedindexchanged="BackgroundOptions_SelectedIndexChanged" 
            AutoPostBack="True">
            <asp:ListItem Text="None" Value="none"></asp:ListItem>
            <asp:ListItem Text="Google Map" Value="GoogleMap"></asp:ListItem>
            <asp:ListItem Text="Google Satellite" Value="GoogleSatHybrid"></asp:ListItem>
            <asp:ListItem Text="Google Terrain" Value="GoogleTerrain"></asp:ListItem>
            <asp:ListItem Text="Bing Map" Value="BingMap"></asp:ListItem>
            <asp:ListItem Text="Bing Satellite" Value="BingSat"></asp:ListItem>
            <asp:ListItem Text="Bing Terrain" Value="BingTerrain"></asp:ListItem>
            <asp:ListItem Text="World Map Kit" Value="WorldMapKit"></asp:ListItem>
        </asp:DropDownList>
        
            Client Background:
            <select name="BackgroundOptions" onchange="ChangeBaseLayer(this);" id="Select1">
                <option selected="selected" value="none">None</option>
                <option value="GoogleMap">Google Map</option>
                <option value="GoogleSatHybrid">Google Satellite</option>
                <option value="GoogleTerrain">Google Terrain</option>
                <option value="BingMap">Bing Map</option>
                <option value="BingSat">Bing Satellite</option>
                <option value="BingTerrain">Bing Terrain</option>
                <option value="WorldMapKit">World Map Kit</option>
            </select>
    </div>
  
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <cc1:Map ID="Map1" runat="server" height="480px" width="640px">
        </cc1:Map>
    
    </div>
    </form>
</body>
</html>
